## ros-indigo-moveit-full 0.7.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit_full)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-moveit-full (0.7.14-1trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 20 Oct 2018 07:00:00 -0000

ros-indigo-moveit-full (0.7.12-1trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 06 Aug 2017 07:00:00 -0000

ros-indigo-moveit-full (0.7.11-1trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 21 Jun 2017 07:00:00 -0000

ros-indigo-moveit-full (0.7.10-1trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 07 Jun 2017 07:00:00 -0000

ros-indigo-moveit-full (0.7.9-1trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 03 Apr 2017 07:00:00 -0000

ros-indigo-moveit-full (0.7.8-1trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 08 Mar 2017 08:00:00 -0000

ros-indigo-moveit-full (0.7.7-1trusty) trusty; urgency=high

  * [Indigo] Move metapackages from moveit_metapackage repo.
  * Contributors: Isaac I.Y. Saito

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-indigo-moveit-full (0.7.6-1trusty) trusty; urgency=high

  * [improve] Delegate moveit_full to moveit metapackage. (#8 <https://github.com/ros-planning/moveit_metapackages/issues/8>)
  * Contributors: Isaac I.Y. Saito

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 05 Jan 2017 08:00:00 -0000

ros-indigo-moveit-full (0.6.2-1trusty) trusty; urgency=high

  * [fix] changelog sorted in chronological order.
  * Contributors: Isaac I.Y. Saito

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 24 Jun 2016 07:00:00 -0000

ros-indigo-moveit-full (0.6.1-1trusty) trusty; urgency=high

  * add maintainer so I catch build failures
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 16 Jan 2015 08:00:00 -0000

ros-indigo-moveit-full (0.6.0-1trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 14 Jan 2015 08:00:00 -0000

ros-indigo-moveit-full (0.5.0-1trusty) trusty; urgency=high

  * add changelogs

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 30 Jul 2013 07:00:00 -0000

ros-indigo-moveit-full (0.4.2-1trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 03 Jul 2013 07:00:00 -0000

ros-indigo-moveit-full (0.4.1-1trusty) trusty; urgency=high

  * add dep on moveit_plugins

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 07 Jun 2013 07:00:00 -0000

ros-indigo-moveit-full (0.4.0-1trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 23 May 2013 07:00:00 -0000

ros-indigo-moveit-full (0.3.3-1trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 02 May 2013 07:00:00 -0000

ros-indigo-moveit-full (0.3.2-1trusty) trusty; urgency=high

  * ad buildtool depends
  * add cmake lists files

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 16 Apr 2013 07:00:00 -0000

ros-indigo-moveit-full (0.3.1-1trusty) trusty; urgency=high

  * removing build deps

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 04 Feb 2013 08:00:00 -0000

ros-indigo-moveit-full (0.3.0-1trusty) trusty; urgency=high

  * fix buildtool tag

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 28 Dec 2012 08:00:00 -0000

ros-indigo-moveit-full (0.1.1-1trusty) trusty; urgency=high

  * added new package for deps

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 26 Nov 2012 08:00:00 -0000

ros-indigo-moveit-full (0.1.0-1trusty) trusty; urgency=high

  * add meta-packages

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 19 Nov 2012 08:00:00 -0000

=== debian/control ===
Source: ros-indigo-moveit-full
Section: misc
Priority: extra
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-indigo-moveit-full
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-moveit
Description: All MoveIt components and plugins

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-moveit-full//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
